Subject: Re: [OPSAWG] [Int-area] AD sponsoring draft-thaler-iftype-reg-02

From: Qin Wu <[email-masked]>
Date: Tue, 9 Jul 2019 02:00:57 +0000

Dave:
Good work for cleaning up the mess in the IANA registry, support for publication.

One thing puzzling me a lot is what is the key difference between ifType and TunnelType, suppose I want to register a new encapsulation interface, should I register it as IANAifType
Or IANAtunneltype?
See the following two registries:
https://www.iana.org/assignments/ianaiftype-mib/ianaiftype-mib
https://www.iana.org/assignments/smi-numbers/smi-numbers.xhtml
The relationship beween IANAifType and IANAtunneltype is not clear to me.
See the following quoted text in the second registry:
“
Internet-standard MIB - mib-2.interface.ifTable.ifEntry.ifType.tunnelType
“
Is tunneltype subtype of ifType?
Also see YANG modules registry and YANG parameter registry in https://www.iana.org/protocols
YANG Modules

iana-bfd-types YANG Module<https://www.iana.org/assignments/iana-bfd-types/iana-bfd-types.xhtml>

Internet Draft draft-ietf-bfd-yang-17<https://www.iana.org/go/tracked-draft-ietf-bfd-yang-17>, RFC 5880<https://www.iana.org/go/rfc5880>
See BFD Diagnostic Codes and BFD Authentication Types registries.

iana-crypt-hash YANG Module<https://www.iana.org/assignments/iana-crypt-hash/iana-crypt-hash.xhtml>

RFC 7317<https://www.iana.org/go/rfc7317>
Expert Review (Expert: Unassigned)

iana-hardware YANG Module<https://www.iana.org/assignments/iana-hardware/iana-hardware.xhtml>

RFC 8348<https://www.iana.org/go/rfc8348>
See IANA-ENTITY-MIB MIB module.

iana-if-type YANG Module<https://www.iana.org/assignments/iana-if-type/iana-if-type.xhtml>

RFC 1213<https://www.iana.org/go/rfc1213>, RFC 2863<https://www.iana.org/go/rfc2863>, RFC 7224<https://www.iana.org/go/rfc7224>
See ifType definitions registry.

iana-routing-types YANG Module<https://www.iana.org/assignments/iana-routing-types/iana-routing-types.xhtml>

RFC 8294<https://www.iana.org/go/rfc8294>, RFC 2453<https://www.iana.org/go/rfc2453>, RFC 2677<https://www.iana.org/go/rfc2677>, RFC 2858<https://www.iana.org/go/rfc2858>, RFC 4760<https://www.iana.org/go/rfc4760>
See Address Family Numbers and Subsequent Address Family Identifiers (SAFI) Values registries.

iana-tunnel-type YANG Module<https://www.iana.org/assignments/iana-tunnel-type/iana-tunnel-type.xhtml>

RFC 4087<https://www.iana.org/go/rfc4087>, Internet Draft draft-ietf-softwire-iftunnel-07<https://www.iana.org/go/tracked-draft-ietf-softwire-iftunnel-07>
See tunnelType registry (mib-2.interface.ifTable.ifEntry.ifType.tunnelType).

YANG Parameters

YANG Module Names<https://www.iana.org/assignments/yang-parameters/yang-parameters.xhtml#yang-parameters-1>

RFC 6020<https://www.iana.org/go/rfc6020>, RFC 8407<https://www.iana.org/go/rfc8407>
RFC Required

Why YANG parameter registry is not sufficient since YANG parameter registry seems to have already include YANG module.
Why not consolidate these two into one?

-Qin
发件人: OPSAWG [mailto:[email-masked]] 代表 Dave Thaler
发送时间: 2019年7月9日 7:21
收件人: Dave Thaler <dthaler=[email-masked]>; Suresh Krishnan <[email-masked]>; int-area <[email-masked]>; 6man <[email-masked]>; dhcwg <[email-masked]>; V6 Ops List <[email-masked]>; [email-masked]; [email-masked]
主题: Re: [OPSAWG] [Int-area] AD sponsoring draft-thaler-iftype-reg-02

FYI, draft-thaler-iftype-reg-04 is now posted and incorporates changes based on
feedback from Med, Tom, Suresh, and others.

Diffs from -02 can be seen at
https://tools.ietf.org/rfcdiff?url1=draft-thaler-iftype-reg-02.txt&url2=draft-thaler-iftype-reg-04.txt

Dave

From: Softwires <[email-masked]<mailto:[email-masked]>> On Behalf Of Dave Thaler
Sent: Friday, July 5, 2019 12:17 PM
To: tom petch <[email-masked]<mailto:[email-masked]>>; Suresh Krishnan <[email-masked]<mailto:[email-masked]>>; int-area <[email-masked]<mailto:[email-masked]>>; 6man <[email-masked]<mailto:[email-masked]>>; dhcwg <[email-masked]<mailto:[email-masked]>>; V6 Ops List <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [Softwires] [Int-area] AD sponsoring draft-thaler-iftype-reg-02

-----Original Message-----
From: dhcwg <[email-masked]<mailto:[email-masked]>> On Behalf Of tom petch
Sent: Friday, June 14, 2019 9:28 AM
To: Suresh Krishnan <[email-masked]<mailto:[email-masked]>>; int-area <[email-masked]<mailto:[email-masked]>>; 6man <[email-masked]<mailto:[email-masked]>>; dhcwg <[email-masked]<mailto:[email-masked]>>; V6 Ops List <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [dhcwg] [Int-area] AD sponsoring draft-thaler-iftype-reg-02

Suresh

The concern I have is that it muddies the waters further on the standing of tunnels so while I think that its proposals for ifType per se are fine, I would like it to make explicit that tunnels are out-of-scope at this time.

Tunnels are certainly not out-of-scope.  There’s two existing registries (interface types and tunnel types), and this draft documents existing registration process, and some process clarifications to address points of process confusion and ease process friction today.

I have been trying to reconcile the workings of softwire, in creating a tunnel YANG module, with the existing IANA structure and failing.  I believe that is because the current status of tunnels is unclear.  Thus the softwire I-D refers to a registry that does not exist

Yes it does.   The software I-D does not create any new registry.   It only creates another format for retrieving the contents of an existing registry.  Many registries are retrievable in multiple formats (XML, excel, txt, etc.).   This registry is no different.

What I can do is add a paragraph explaining the use of multiple formats for the interface type and tunnel type registries, to make it clear that each format is not a separate registry, just like getting the TCP port registry in XML vs excel is not two different registries.

Dave

(as such) although the URL that the softwire I-D does. I think the timing unfortunate in that IMHO the softwires I-D will get pressed ahead before this work can complete, so quite what this I-D then says about tunnels will be coloured by what then exists for tunnels.

So this I-D should make clear what a tunnel is, when it is not an interface, but otherwise declaring tunnels out-of-scope, for a future I-D to do a comparable job for tunnels, setting up a tunnel registry from which MIB modules, YANG modules and anything else can be derived (as long as the relevant data is supplied - SMI needs integers, YANG does not, which I-Ds do not always recognise although the Designated Experts can take care of that).

Finally, when I first encountered this I-D I asked on NETCONF and NETMOD WG lists if anyone knew of it, where it was being worked on and got no reply - which surprised me.  I note that you have not copied them although they were involved in making the interface type registry what it currently is when creating the YANG module for interface types.  I wonder if other WG have an interest, CCAMP or TEAS perhaps.  I agree that int-area is the WG best equipped to work on it and that it needs working on.

Tom Petch

----- Original Message -----

From: "Suresh Krishnan" <[email-masked]<mailto:[email-masked]>>

To: "int-area" <[email-masked]<mailto:[email-masked]>>; "6man" <[email-masked]<mailto:[email-masked]>>; "dhcwg"

<[email-masked]<mailto:[email-masked]>>; "V6 Ops List" <[email-masked]<mailto:[email-masked]>>; <[email-masked]<mailto:[email-masked]>>; <[email-masked]<mailto:[email-masked]>>

Sent: Wednesday, June 12, 2019 7:22 PM

Hi all,

  I would like to AD sponsor the following draft that provides guidelines for definition of new interface types in the IANA IfType registries

https://nam06.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-thaler-iftype-reg-02&amp;data=02%7C01%7Cdthaler%40microsoft.com%7Cbd9080f665064f564d3608d6f0e55a88%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C636961265202763707&amp;sdata=HM5asXOFnSuzPaCR4k4kopqsIHLLdnqZ7PDuu8hPJM4%3D&amp;reserved=0<https://nam06.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-thaler-iftype-reg-02&data=02%7C01%7Cdthaler%40microsoft.com%7C7f0bb0e13ad444ffbfe208d7017dd4cd%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C636979512288910008&sdata=Oiu3BLoPvkbcNQN4XA5ih7YnnWeb9bzn7WLP4nJ%2FSCM%3D&reserved=0>

If you have any concerns either with the contents of the draft, or about me AD sponsoring it please let me know before 2019/06/26.

Thanks

Suresh

NOTE: I have CCed: all the working groups that I thought could be potentially interested in this work. If you think I have missed out some WG(s) please let me know.

------------------------------------------------------------------------

--------

> _______________________________________________

> Int-area mailing list

> [email-masked]<mailto:[email-masked]>

> https://nam06.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww<https://www>.

> ietf.org%2Fmailman%2Flistinfo%2Fint-area&amp;data=02%7C01%7Cdthaler%40

> microsoft.com%7Cbd9080f665064f564d3608d6f0e55a88%7C72f988bf86f141af91a

> b2d7cd011db47%7C1%7C0%7C636961265202763707&amp;sdata=znz7EZ1q%2FwIQUJC

> gYZTWfY2H4C7tN6qFhJubCVWxWzc%3D&amp;reserved=0

_______________________________________________

dhcwg mailing list

[email-masked]<mailto:[email-masked]>

https://nam06.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fdhcwg&amp;data=02%7C01%7Cdthaler%40microsoft.com%7Cbd9080f665064f564d3608d6f0e55a88%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C636961265202763707&amp;sdata=OJvbRDz%2FCIlVF3hWR30KCs0cRgi9KmtnYLHKbHSeJzc%3D&amp;reserved=0<https://nam06.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fdhcwg&data=02%7C01%7Cdthaler%40microsoft.com%7C7f0bb0e13ad444ffbfe208d7017dd4cd%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C636979512288919998&sdata=%2FIXOjXLKQ9Ciq2dQNd5zF69bVqpvHogJO6B9GfrlNtg%3D&reserved=0>